local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)
local S = minetest.get_translator(mod_name)


aom_machines = {}

aom_machines.has_pmb_tcraft = (minetest.get_modpath("pmb_tcraft") ~= nil)
aom_machines.has_aom_settings = (minetest.get_modpath("aom_settings") ~= nil)

dofile(mod_path .. "/nodes/gates.lua")
dofile(mod_path .. "/nodes/gate_controllers.lua")
dofile(mod_path .. "/nodes/button.lua")
dofile(mod_path .. "/nodes/gear_lever.lua")

dofile(mod_path .. "/items/wirecutter.lua")

dofile(mod_path .. "/compat/aliases.lua")
